# Poco

# class InvalidToken

Library: Foundation
Package: Streams
Header: Poco/Token.h

## Description

This token class is used for signalling that an invalid character sequence has been encountered in the input stream.

## Inheritance

Direct Base Classes: Token

All Base Classes: Token

## Member Summary

Member Functions: tokenClass

Inherited Functions: asChar, asFloat, asInteger, asInteger64, asString, asUnsignedInteger, asUnsignedInteger64, finish, is, start, tokenClass, tokenString

## Constructors

### InvalidToken

InvalidToken();

## Destructor

### ~InvalidToken

~InvalidToken();

## Member Functions

### tokenClass

Class tokenClass() const;

See also: Poco::Token::tokenClass()